Subject: [dns-dir] DNS-EW: draft-eastlake-dnsext-xnamercode-00.txt

From: DNS_EARLY_WARNING <[email-masked]>
Date: Fri, 28 May 2010 14:40:00 -0400

Count:       24 
Network Working Group                                Donald Eastlake 3rd
INTERNET-DRAFT                                          Stellar Switches
Intended status: Proposed Standard
Expires: November 26, 2010                                  May 27, 2010

               xNAME RCODE and Status Bits Clarification
               <draft-eastlake-dnsext-xnamercode-00.txt>

 Abstract

   The Domain Name System (DNS) has long provided means, such as CNAME
   (Canonical Name), where a query can be redirected to a different
   name. A DNS response header has an RCODE (Response Code) field, used
   for indicating errors, and response status bits. This document
   clarifies, in the case of such redirected queries, how the RCODE and
   status bits correspond to the initial query cycle (where the CNAME or
   the like was detected) and subsequent or final query cycles.